Download it now!
Bug 136062 - UI Calc Manage Changes dialog has incorrect button texts
Summary: UI Calc Manage Changes dialog has incorrect button texts
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.2 target:6.4.7
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Track-Changes
  Show dependency treegraph
 
Reported: 2020-08-24 08:13 UTC by NISZ LibreOffice Team
Modified: 2020-09-05 09:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Calc with tracked change (8.09 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-08-24 08:13 UTC, NISZ LibreOffice Team
Details
Screenshot of the problem in Calc (92.37 KB, image/png)
2020-08-24 08:13 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-08-24 08:13:20 UTC
Created attachment 164622 [details]
Example file from Calc with tracked change

Since 6.3 the Manage Changes dialog of Calc has “Reject/clear formatting” instead of the “Reject” button and “Reject All/Clear formatting” instead of the “Reject All” button.
These were introduced for solving bug #52391 in Writer but make no sense in Calc (Calc does not track text / cell formatting changes), so restoring old button labels would be ideal.

Steps to reproduce:
    1. In Calc go to Edit – Track Changes - Record
    2. Go to Edit – Track Changes - Manage

Actual results:
“Reject” buttons have “Clear formatting” ending.

Expected results:
Reject and Reject All buttons.

LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 8700bace8c0714d853f5df6918ab9c8bb3d81f77
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Additional Information: 

Bibisected using bibisect-win32-6.3 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=9c4eef7d809ad7d283860c7b47b0f561aa240906 
author
László Németh <nemeth@numbertext.org> Tue Jan 29 14:53:43 2019 +0100 
committer
László Németh <nemeth@numbertext.org> Tue Jan 29 20:40:30 2019 +0100 

tdf#52391 reject/clear formatting of format-only changes

Adding CC to: Laszlo Nemeth
Comment 1 NISZ LibreOffice Team 2020-08-24 08:13:38 UTC
Created attachment 164623 [details]
Screenshot of the problem in Calc
Comment 2 Commit Notification 2020-08-27 09:13:36 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/894fddc5edf5aad6fc6d0e18a6c934bfa7f001e4

tdf#136062 Don't use 'Reject (All)/Clear formatting' buttons in Calc

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2020-08-28 18:22:04 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/120e696653a25a2560f8c60b08a6a86fda5c10fc

tdf#136062 Don't use 'Reject (All)/Clear formatting' buttons in Calc

It will be available in 7.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-09-04 13:40:06 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 6b2eff7d69c6e14d89dd33eaa58c01d82c541266
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Gabor, thanks for fixing this issue!
Comment 5 Commit Notification 2020-09-04 16:12:23 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c9173b4042d6d4dc2e4b028e133ea60631f6e87d

tdf#136062: sc: Add UItest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-09-05 09:33:08 UTC
Gabor Kelemen committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/9311abf473dd8a3067a556ba1701be8a290f5c37

tdf#136062 Don't use 'Reject (All)/Clear formatting' buttons in Calc

It will be available in 6.4.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.